GET
/api/v1/orders
Requires authentication
Deprecated
v1
Send a bearer token in the Authorization header.
A newer version of this operation is available: GET /api/v2/orders.
Full URL: https://api.acme.example/api/v1/orders
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| per_page | integer | no | Results per page, 1–100. |
| page | integer | no | Page number, 1-indexed. |
| status | string, one of pending, paid, shipped, refunded | no | Only orders in this state. |
| customer_id | integer | no | Only orders belonging to this customer. |
Responses
200 A page of orders.
Example request
curl -X GET 'https://api.acme.example/api/v1/orders' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Accept: application/json'
const response = await fetch('https://api.acme.example/api/v1/orders', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN',
'Accept': 'application/json'
}
});
const data = await response.json();
use Illuminate\Support\Facades\Http;
$response = Http::withHeaders([
'Authorization' => 'Bearer YOUR_TOKEN',
'Accept' => 'application/json',
])->get('https://api.acme.example/api/v1/orders');
$data = $response->json();
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('GET', 'https://api.acme.example/api/v1/orders', [
'headers' => [
'Authorization' => 'Bearer YOUR_TOKEN',
'Accept' => 'application/json',
],
]);
$data = json_decode((string) $response->getBody(), true);
Example response
{
"data": [
{
"id": 8801,
"customer_id": 1,
"status": "paid",
"total": 4200,
"currency": "USD",
"placed_at": "2026-02-03T14:20:00Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total": 1
}
}